> For the complete documentation index, see [llms.txt](https://docs.subtopia.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.subtopia.io/integrations/algokit.md).

# AlgoKit

Jumpstart your Algorand dApp development with our AlgoKit template. This template enhances the official AlgoKit React template and integrates seamlessly with <http://sdk.subtopia.io>, providing a solid base for subscription-enabled dApps.

{% code overflow="wrap" fullWidth="false" %}

```bash
algokit init --template-url https://github.com/subtopia-algo/algokit-subtopia-template
```

{% endcode %}

**Key Features**

* **Integrated with Subtopia-js-sdk**: Ensures smooth integration with Subtopia's features.
* **High Customizability**: Tailor the template to your project's specific needs.
* **Stable Foundation**: Ideal for building Algorand blockchain dApps.

**Getting Started**

1. **Access the Template**: Visit our GitHub [here](https://github.com/subtopia-algo/algokit-subtopia-template) to find the template and setup instructions.
2. **Download and Customize**: Adapt the template to fit your project requirements.

**Join and Contribute**

This template codebase is completely open source. Contributions are welcome to improve the template.

**Ready to Code**

With this AlgoKit template, you're set to develop innovative dApps in the Algorand ecosystem. Happy coding! 🚀💻


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.subtopia.io/integrations/algokit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
